package com.kmall.admin.entity.mk.store;

import java.io.Serializable;
import java.util.Date;

/**
 * 门店活动分类表，store promotion实体
 * 表名 mk_store_prom_type
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-04-28 14:15:21
 */
public class MkStorePromTypeEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 活动分类编号
     */
    private Integer promTypeId;
    /**
     * 活动类别主题
     */
    private String title;
    /**
     * 活动类别名称
     */
    private String promTypeName;
    /**
     * 活动类别图片链接
     */
    private String picUrl;
    /**
     * 是否有效,0:有效，1:无效
     */
    private String isValid;
    /**
     * 备注
     */
    private String note;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    /**
     * 设置：活动分类编号
     */
    public void setPromTypeId(Integer promTypeId) {
        this.promTypeId = promTypeId;
    }

    /**
     * 获取：活动分类编号
     */
    public Integer getPromTypeId() {
        return promTypeId;
    }
    /**
     * 设置：活动类别主题
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * 获取：活动类别主题
     */
    public String getTitle() {
        return title;
    }
    /**
     * 设置：活动类别名称
     */
    public void setPromTypeName(String promTypeName) {
        this.promTypeName = promTypeName;
    }

    /**
     * 获取：活动类别名称
     */
    public String getPromTypeName() {
        return promTypeName;
    }
    /**
     * 设置：活动类别图片链接
     */
    public void setPicUrl(String picUrl) {
        this.picUrl = picUrl;
    }

    /**
     * 获取：活动类别图片链接
     */
    public String getPicUrl() {
        return picUrl;
    }
    /**
     * 设置：是否有效,0:有效，1:无效
     */
    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    /**
     * 获取：是否有效,0:有效，1:无效
     */
    public String getIsValid() {
        return isValid;
    }
    /**
     * 设置：备注
     */
    public void setNote(String note) {
        this.note = note;
    }

    /**
     * 获取：备注
     */
    public String getNote() {
        return note;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
